package Common.Visual.Trees;
import Common.Visual.UI_;
import Common.Visual.Themes.ThemeElement;

import javax.swing.tree.DefaultTreeCellRenderer;
public class StyledTreeCellRenderer extends DefaultTreeCellRenderer implements ThemeElement {
    public StyledTreeCellRenderer() {
        applyTheme();
    }
    @Override
    public void applyTheme() {
        setBackgroundNonSelectionColor(UI_.getTheme().trees_background);
        setBackgroundSelectionColor(UI_.getTheme().selection_background);
    }
}
